Subject: RE: rxvt as Bash login console
From: "David Christensen" <[email-masked]>
To: <[email-masked]>
Cc: "'Eric Blake'" <[email-masked]>
Date: Mon, 17 Oct 2005 21:25:12 -0700

Eric Blake wrote:
> $ cat ~/.Xdefaults
> ! Fix rxvt to mimic windows console coloring
> XTerm*background: black
> XTerm*foreground: gray
> XTerm*geometry: 80x50
> XTerm*jumpScroll: True
> XTerm*scrollBar_right: True

"man rxvt" and this page were helpful:

    http://www.xfree86.org/current/xterm.1.html

I was able to reduce my rxvt.bat file to this:

    dpchrist@p42800e:~$ cat rxvt.bat 
    @echo off
    rem $Id: rxvt.bat,v 1.1 2005/10/18 04:17:23 dpchrist Exp $
    C:
    chdir C:\cygwin\bin
    rxvt -fn "Lucida Console-11" -e /bin/bash --login -i

Here is my .Xdefaults:

    dpchrist@p42800e:~$ cat .Xdefaults 
    ! $Id: .Xdefaults,v 1.1 2005/10/18 04:17:23 dpchrist Exp $
    XTerm*background: black
    XTerm*foreground: gray
    XTerm*colorBD: white
    XTerm*colorUL: cyan
    XTerm*saveLines: 10000
    XTerm*scrollBar_right: True
    XTerm*scrollTtyKeypress: True
    XTerm*scrollTtyOutput: True

>> C:\cygwin      /          system  textmode
>> C:\cygwin/bin  /usr/bin   system  textmode
>> C:\cygwin/lib  /usr/lib   system  textmode
> Not a good idea.  /bin, /lib, /usr/bin, and /usr/lib should generally
> be binary mounts for best behavior.

Okay.  I ran Cygwin setup and changed the "Default Text File Type" to "Unix/
binary":

    dpchrist@p42800e:~$ cygcheck -s -v -r | grep mode
    C:\cygwin      /          system  binmode
    C:\cygwin/bin  /usr/bin   system  binmode
    C:\cygwin/lib  /usr/lib   system  binmode
    .              /cygdrive  system  binmode,cygdrive

It looks like CVS is now checking out text files using Unix line endings.  I'm
sure I'll find other differences as time goes on.  Hopefully this won't be too
painful of a change...

Thanks!

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/